#!/bin/bash
#
# DIPOL-IOCtest.sh: IOC Test script generated from the DCS_REQ DB entries on 30-07-2010
# From http://panda-controls.gsi.de/DB/interactiveTable.php?name=ProcessVariables&keephidden=0664&showonly=5
# Use this script to test your DIPOL.db EPICS record and GUIs 
#   softIoc -s -m user=$USER -d DIPOL.db; ./DIPOL-IOCtest.sh

T=120

for (( c=1; c<=3600; c++ ))
do
  d=`echo "(1 + s(6.28*$c/$T))/2" | bc -l`
  cv=`echo "0+$d*(60-0)" | bc -l`
  echo -n "Setting PANDA:DIPOL:COIL:C1:T_R to "
  caput -t PANDA:DIPOL:COIL:C1:T_R $cv
  cv=`echo "0+$d*(60-0)" | bc -l`
  echo -n "Setting PANDA:DIPOL:COIL:C2:T_R to "
  caput -t PANDA:DIPOL:COIL:C2:T_R $cv
  cv=`echo "0+$d*(60-0)" | bc -l`
  echo -n "Setting PANDA:DIPOL:COIL:C3:T_R to "
  caput -t PANDA:DIPOL:COIL:C3:T_R $cv
  cv=`echo "0+$d*(60-0)" | bc -l`
  echo -n "Setting PANDA:DIPOL:COIL:C4:T_R to "
  caput -t PANDA:DIPOL:COIL:C4:T_R $cv
  cv=`echo "200+$d*(800-200)" | bc -l`
  echo -n "Setting PANDA:DIPOL:COOL:P_F to "
  caput -t PANDA:DIPOL:COOL:P_F $cv
  cv=`echo "10+$d*(85-10)" | bc -l`
  echo -n "Setting PANDA:DIPOL:COOL:C1:T_F to "
  caput -t PANDA:DIPOL:COOL:C1:T_F $cv
  cv=`echo "10+$d*(85-10)" | bc -l`
  echo -n "Setting PANDA:DIPOL:COOL:C2:T_F to "
  caput -t PANDA:DIPOL:COOL:C2:T_F $cv
  cv=`echo "2+$d*(6-2)" | bc -l`
  echo -n "Setting PANDA:DIPOL:COOL:H2O_Flow to "
  caput -t PANDA:DIPOL:COOL:H2O_Flow $cv
  cv=`echo "100+$d*(1800-100)" | bc -l`
  echo -n "Setting PANDA:DIPOL:COIL:I_c to "
  caput -t PANDA:DIPOL:COIL:I_c $cv
  cv=`echo "0.98+$d*(1.02-0.98)" | bc -l`
  echo -n "Setting PANDA:DIPOL:C1:B to "
  caput -t PANDA:DIPOL:C1:B $cv
  cv=`echo "0.98+$d*(1.02-0.98)" | bc -l`
  echo -n "Setting PANDA:DIPOL:C2:B to "
  caput -t PANDA:DIPOL:C2:B $cv
  sleep 1
done

