#!/bin/bash

# Written by Paul Mullen, July 2010
# Script for installing the Dipole GUI

echo "Trying to guess the path to your CSS installation ..."

basedir=`pwd`
guessdir=`find ~/ -name css_* -type d`
echo "Is your css directory $guessdir ?"
select yn in "yes" "no"; do
	case $yn in
		yes )
                  direc=`echo $guessdir`
                  echo "Ok, using $direc ..."
                  break
                ;;
		no )
		  read -p "Please enter the css directory: " direc
                  break
                ;;
	esac
done

if [ -d $direc/css/workspace/SDS ] 
 then
	cd $basedir
        echo "Copying DIPOL-GUI.css-sds to $direc/css/workspace/SDS/"
	cp DIPOL-GUI.css-sds $direc/css/workspace/SDS
 else		
        echo 'SDS directory not found!'
	exit
fi


if [ -d $direc/css/workspace/SDS\ Script\ Rules ]
 then
	cd $basedir
        echo "Copying PANDA-Colours.css-sdss to $direc/css/workspace/SDS Script Rules/"
	cp PANDA-Colours.css-sdss $direc/css/workspace/SDS\ Script\ Rules
 else
	echo 'SDS Scripts directory not found!'
	exit
fi
xterm -e softIoc -s -m user=$USER -d DIPOL.db &
./DIPOL-IOCtest.sh
echo "Done"

